Bug 729233

Summary: XMLRPC: New TestCasePlan class
Product: [Other] TCMS Reporter: Petr Šplíchal <psplicha>
Component: ApplicationAssignee: Yang Ren <ryang>
Status: VERIFIED --- QA Contact: tools-bugs <tools-bugs>
Severity: medium Docs Contact:
Priority: medium    
Version: 3.5CC: azelinka, junzhang, ohudlick, ryang, tools-bugs, vchen
Target Milestone: ---   
Target Release: 3.8.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 3.8.0-1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 593666, 869594    

Description Petr Šplíchal 2011-08-09 07:20:18 UTC
Description of problem:

Please, make the case sortkey field accessible through XMLRPC.
This has been previously possible with the use of TestCase.get()
and TestCase.update() functions but due to database table change
(bug 545082) is now no more available.

I suggest to implement a new TestCasePlan class which would
support get() and update() methods.

Comment 1 jianchen 2012-06-19 06:36:26 UTC
New TestCasePlan class, support get() and update() methods.
Now TestCasePlan.update() method only support update sorkey.
Thanks.

Comment 2 Xin Gao 2012-07-26 01:40:15 UTC
Verify 3.8.0-1 on stage   -->PASS

Verify steps:
1. test TestCasePlan.get(case_id, plan_id)
2. test TestCasePlan.get(case_id, plan_id, new_sort_key)

Actual result:
works well.